com.io7m.r2.core

## Class R2LightAmbientScreenSingle

- java.lang.Object
- - com.io7m.r2.core.R2LightAmbientScreenSingle

- All Implemented Interfaces:
    R2LightReadableType, R2LightScreenSingleType, R2LightSingleReadableType, R2LightSingleType, R2LightSingleWritableType, R2LightWritableType

      public final class R2LightAmbientScreenSingle
      extends Object
      implements R2LightScreenSingleType

  Parameters for single ambient lights.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLArrayObjectUsableType` | `arrayObject()`
    `com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceRGBType>` | `color()`
    `com.io7m.jtensors.parameterized.PVector3FType<R2SpaceRGBType>` | `colorWritable()`
    `R2Texture2DUsableType` | `getOcclusionMap()`
    `float` | `intensity()`
    `long` | `lightID()`
    `static R2LightAmbientScreenSingle` | `newLight(R2UnitQuadUsableType q, R2IDPoolType pool, R2TextureDefaultsType in_defaults)` Construct a new light.
    `void` | `setIntensity(float i)` Set the current light intensity
    `void` | `setOcclusionMap(R2Texture2DUsableType m)` Set the occlusion map for the light.
    `R2TransformReadableType` | `transform()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightScreenSingleType

      `matchLightSingle`

- - ### Method Detail

    - #### newLight

          public static R2LightAmbientScreenSingle newLight(R2UnitQuadUsableType q,
                                                            R2IDPoolType pool,
                                                            R2TextureDefaultsType in_defaults)

      Construct a new light.
      Parameters:
        `q` - A unit quad
        `pool` - The ID pool
        `in_defaults` - A set of default textures
      Returns:
        A new light

    - #### color

          public com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceRGBType> color()

      Specified by:
        `color` in interface `R2LightReadableType`
      Returns:
        The readable light color

    - #### intensity

          public float intensity()

      Specified by:
        `intensity` in interface `R2LightReadableType`
      Returns:
        The current light intensity

    - #### setIntensity

          public void setIntensity(float i)

      Description copied from interface: `R2LightWritableType`
      Set the current light intensity
      Specified by:
        `setIntensity` in interface `R2LightWritableType`
      Parameters:
        `i` - The intensity (typically `[0.0 .. 1.0]`)

    - #### colorWritable

          public com.io7m.jtensors.parameterized.PVector3FType<R2SpaceRGBType> colorWritable()

      Specified by:
        `colorWritable` in interface `R2LightWritableType`
      Returns:
        The readable/writable light color

    - #### getOcclusionMap

          public R2Texture2DUsableType getOcclusionMap()

      Returns:
        The occlusion map for the light

    - #### setOcclusionMap

          public void setOcclusionMap(R2Texture2DUsableType m)

      Set the occlusion map for the light.
      Parameters:
        `m` - The occlusion map

    - #### lightID

          public long lightID()

      Specified by:
        `lightID` in interface `R2LightReadableType`
      Returns:
        The unique light ID

    - #### arrayObject

          public com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject()

      Specified by:
        `arrayObject` in interface `R2LightSingleReadableType`
      Returns:
        The array object that will be used to render the light geometry

    - #### transform

          public R2TransformReadableType transform()

      Specified by:
        `transform` in interface `R2LightSingleReadableType`
      Returns:
        The transform for the light origin

Copyright © 2017 <code@io7m.com> http://io7m.com